CalryOTA Docs
Integration Definition

Update amenity mapping

Updates the amenity mapping for a specific integration definition

PUT
/api/v1/integration-definition/{provider}/amenity

Authorization

x-calry-api-key
x-calry-api-key<token>

In: header

Path Parameters

provider*string

The integration provider

Value in"AVANTIO" | "BOOKINGSYNC" | "BOOM" | "CIIRUS" | "ELINA" | "GUESTY" | "HOSTAWAY" | "HOSTFULLY" | "HOSTIFY" | "INTERHOME" | "LODGIFY" | "OWNERREZ" | "HOSTHUB" | "UPLISTING" | "BEDS24" | "HOST_TOOLS" | "HOSTFULLYSANDBOX" | "HOSPITABLE" | "TOKEET" | "MR_ALFRED"

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X PUT "https://example.com/api/v1/integration-definition/AVANTIO/amenity" \  -H "Content-Type: application/json" \  -d '{    "amenityCategoryMapping": [      {        "id": "kitchen",        "name": "Kitchen",        "amenities": [          {}        ]      }    ]  }'
Empty
Empty
Empty
Empty